# operator==,!=(std::mersenne_twister_engine)

From cppreference.com
< cpp‎ | numeric‎ | random‎ | mersenne twister engine

template< class UIntType, size_t w, size_t n, size_t m, size_t r, UIntType a, size_t u, UIntType d, size_t s, UIntType b, size_t t, UIntType c, size_t l, UIntType f > bool operator==( const mersenne_twister_engine<UIntType,w,n,m,r,a,u,d,s,b,t,c,l,f>& lhs, const mersenne_twister_engine<UIntType,w,n,m,r,a,u,d,s,b,t,c,l,f>& rhs ); | (1) | (since C++11)
template< class UIntType, size_t w, size_t n, size_t m, size_t r, UIntType a, size_t u, UIntType d, size_t s, UIntType b, size_t t, UIntType c, size_t l, UIntType f > bool operator!=( const mersenne_twister_engine<UIntType,w,n,m,r,a,u,d,s,b,t,c,l,f>& lhs, const mersenne_twister_engine<UIntType,w,n,m,r,a,u,d,s,b,t,c,l,f>& rhs ); | (2) | (since C++11)

Compares two pseudo-random number engines. Two engines are equal, if their internal states are equivalent, that is, if they would generate equivalent values for any number of calls of operator().

### Parameters

lhs, rhs | - | engines to compare

### Return value

1) true if the engines are equivalent, false otherwise.
2) true if the engines are not equivalent, false otherwise.

### Exceptions

(none)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/mersenne_twister_engine/operator_cmp&oldid=50985"